## graphviz 1.7.16

=== contrib/Makefile ===
# Makefile.in generated automatically by automake 1.4-p5 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/graphviz
pkglibdir = $(libdir)/graphviz
pkgincludedir = $(includedir)/graphviz

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = 
build_triplet = i686-pc-linux-gnu
host_alias = 
host_triplet = i686-pc-linux-gnu
target_alias = 
target_triplet = i686-pc-linux-gnu
AS = @AS@
AWK = gawk
BUILD_DIR = /home/ellson/build/graphviz
CC = gcc
CXX = g++
DLLTOOL = @DLLTOOL@
ECHO = echo
EXEEXT = 
EXTRA_INCLUDES = 
EXTRA_LIBS = 
FT_INCLUDES = -I/usr/include/freetype2
FT_LIBS =  -lfreetype
ICONV_INCLUDES = 
ICONV_LIBS = 
JPEG_INCLUDES = 
JPEG_LIBS =  -ljpeg
KSH = ksh
LEX = flex
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
MAKEINFO = makeinfo
NO_CNT_IN_FILESTRUCT = -DNO_CNT_IN_FILESTRUCT
NO_ERRNO_DECL = -DNO_ERRNO_DECL
NO_OPTOPT_DECL = 
OBJDUMP = @OBJDUMP@
OBJEXT = o
PACKAGE = graphviz
PNG_INCLUDES = 
PNG_LIBS =  -lpng
RANLIB = ranlib
SED = sed
SOCKET_LIBS = 
SORT = sort
STRIP = strip
STRTOLL = 
STRTOULL = 
TCLINT_INCLUDES = -I/home/ellson/build/tcl8.3.4/generic
TCLSH = /usr/local/bin/tclsh8.3
TCLSH_EXEC_PREFIX = /usr/local
TCL_BUILD_LIB_SPEC = -L/home/ellson/build/tcl8.3.4/unix -ltcl8.3${TCL_DBGX}
TCL_BUILD_STUB_LIB_PATH = /home/ellson/build/tcl8.3.4/unix/libtclstub8.3${TCL_DBGX}.a
TCL_BUILD_STUB_LIB_SPEC = -L/home/ellson/build/tcl8.3.4/unix -ltclstub8.3${TCL_DBGX}
TCL_CC = cc -pipe
TCL_CFLAGS =  -DUSE_TCL_STUBS
TCL_CFLAGS_DEBUG = -g
TCL_CFLAGS_OPTIMIZE = -O -D__NO_STRING_INLINES -D__NO_MATH_INLINES
TCL_COMPAT_OBJS = 
TCL_CXX = 
TCL_CXXFLAGS = 
TCL_DBGX = 
TCL_DEFS =  -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRSTR=1 -DHAVE_STRTOL=1 -DHAVE_TMPNAM=1 -DHAVE_WAITPID=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_TERMIOS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_TM_ZONE=1 -DHAVE_GMTIME_R=1 -DHAVE_LOCALTIME_R=1 -DHAVE_TM_GMTOFF=1 -DHAVE_TIMEZONE_VAR=1 -DHAVE_ST_BLKSIZE=1 -DSTDC_HEADERS=1 -DNEED_MATHERR=1 -DHAVE_SIGNED_CHAR=1 -DHAVE_SYS_IOCTL_H=1 
TCL_DL_LIBS = -ldl
TCL_EXEC_PREFIX = /usr/local
TCL_EXPORT_FILE_SUFFIX = 
TCL_EXTRA_CFLAGS = 
TCL_LD_FLAGS = -rdynamic
TCL_LD_SEARCH_FLAGS = -Wl,-rpath,${LIB_RUNTIME_DIR}
TCL_LIBS = -ldl  -lieee -lm
TCL_LIB_FILE = libtcl8.3${TCL_DBGX}.so
TCL_LIB_FLAG = -ltcl8.3${TCL_DBGX}
TCL_LIB_SPEC = -L/usr/local/lib -ltcl8.3${TCL_DBGX}
TCL_LIB_VERSIONS_OK = ok
TCL_MAJOR_VERSION = 8
TCL_MINOR_VERSION = 3
TCL_NEEDS_EXP_FILE = 0
TCL_PACKAGE_PATH = /usr/local/lib
TCL_PATCH_LEVEL = .4
TCL_PKGINDEX = gdtclft/pkgIndex.tcl tcldot/pkgIndex.tcl tcldgr/pkgIndex.tcl tcldgl/pkgIndex.tcl tclpathplan/pkgIndex.tcl
TCL_PREFIX = /usr/local
TCL_RANLIB = ranlib
TCL_SHARED_BUILD = 1
TCL_SHARED_LIB_SUFFIX = ${VERSION}${DBGX}.so
TCL_SHLIB_CFLAGS = -fPIC
TCL_SHLIB_CXXFLAGS = 
TCL_SHLIB_LD = cc -pipe -shared
TCL_SHLIB_LD_LIBS = ${LIBS}
TCL_SHLIB_SUFFIX = .so
TCL_SRC_DIR = /home/ellson/build/tcl8.3.4
TCL_STUB_LIB_FILE = libtclstub8.3${TCL_DBGX}.a
TCL_STUB_LIB_FLAG = -ltclstub8.3${TCL_DBGX}
TCL_STUB_LIB_PATH = /usr/local/lib/libtclstub8.3${TCL_DBGX}.a
TCL_STUB_LIB_SPEC = -L/usr/local/lib -ltclstub8.3${TCL_DBGX}
TCL_SUBDIRS = tclstubs tclhandle gdtclft tcldot tcldgr tcldgl tclpathplan
TCL_SUPPORTS_STUBS = 1
TCL_UNSHARED_LIB_SUFFIX = ${VERSION}${DBGX}.a
TCL_VERSION = 8.3
TKINT_INCLUDES = -I/home/ellson/build/tk8.3.4/generic
TK_BUILD_LIB_SPEC = -L/home/ellson/build/tk8.3.4/unix -ltk8.3
TK_BUILD_STUB_LIB_PATH = /home/ellson/build/tk8.3.4/unix/libtkstub8.3.a
TK_BUILD_STUB_LIB_SPEC = -L/home/ellson/build/tk8.3.4/unix -ltkstub8.3
TK_CFLAGS =  -DUSE_TK_STUBS
TK_DEFS =  -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_PW_GECOS=1 
TK_EXEC_PREFIX = /usr/local
TK_LIBS = -L/usr/X11R6/lib -lX11 -ldl  -lieee -lm
TK_LIB_FILE = libtk8.3.so
TK_LIB_SPEC = -L/usr/local/lib -ltk8.3
TK_MAJOR_VERSION = 8
TK_MINOR_VERSION = 3
TK_PATCH_LEVEL = .4
TK_PKGINDEX = tkspline/pkgIndex.tcl
TK_PREFIX = /usr/local
TK_SHARED_BUILD = 1
TK_SRC_DIR = /home/ellson/build/tk8.3.4
TK_STUB_LIB_FILE = libtkstub8.3.a
TK_STUB_LIB_FLAG = -ltkstub8.3
TK_STUB_LIB_PATH = /usr/local/lib/libtkstub8.3.a
TK_STUB_LIB_SPEC = -L/usr/local/lib -ltkstub8.3
TK_SUBDIRS = tkstubs tkspline
TK_SUPPORTS_STUBS = 
TK_VERSION = 8.3
TK_XINCLUDES = -I/usr/X11R6/include
TK_XLIBSW = -L/usr/X11R6/lib -lX11
TOP_DIR = /home/ellson/build/graphviz
VERSION = 1.7.16
XAW_INCLUDES = 
XAW_LIBS =  -lXaw
XPM_INCLUDES = 
XPM_LIBS = 
X_SUBDIRS = lefty
YACC = bison -y
Z_INCLUDES = 
Z_LIBS =  -lz

AUTOMAKE_OPTIONS = 1.4

EXTRA_DIST = \
	INDEX \
	dotmcl.pl \
	gprof2dot.awk \
	lefty-grace/README \
	lefty-grace/dotty.lefty \
	lefty-grace/dotty_draw.lefty \
	lefty-grace/dotty_edit.lefty \
	lefty-grace/dotty_ui.lefty \
	dirgraph/README \
	dirgraph/apache.dot \
	dirgraph/bsdarch.dot \
	dirgraph/bsdkernel.dot \
	dirgraph/dirgraph.pl \
	dirgraph/linux.dot \
	dirgraph/named.dot \

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../gvconfig.h
CONFIG_CLEAN_FILES = 
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu contrib/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = contrib

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu contrib/Makefile
	$(mkinstalldirs) $(distdir)/dirgraph $(distdir)/lefty-grace
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## graphviz 2.2.1

=== dot.demo/Makefile ===
COMPILE=libtool --tag=CC --mode=compile ${CC} -c
LINK=libtool --tag=CC --mode=link ${CC}

CFLAGS=`dotneato-config --cflags`
LDFLAGS=`dotneato-config --libtool`

all: simple dot demo

simple: simple.lo
	${LINK} ${LDFLAGS} -o $@ simple.lo

simple.lo: simple.c
	${COMPILE} ${CFLAGS} -o $@ simple.c

dot: dot.lo
	${LINK} ${LDFLAGS} -o $@ dot.lo

dot.lo: dot.c
	${COMPILE} ${CFLAGS} -o $@ dot.c

demo: demo.lo
	${LINK} ${LDFLAGS} -o $@ demo.lo

demo.lo: demo.c
	${COMPILE} ${CFLAGS} -o $@ demo.c

clean:
	rm -rf .libs simple dot demo *.o *.lo

## graphviz 2.20.2

=== macosx/build/Makefile ===
# tools

MAKE=make
PACKAGEMAKER=/Developer/Applications/Utilities/PackageMaker.app/Contents/MacOS/PackageMaker
XCODEBUILD=xcodebuild

# local

PREBUILD=$(CURDIR)/../prebuild
LOCAL=$(PREBUILD)/usr/local
LOCAL_BIN=$(LOCAL)/bin
LOCAL_INCLUDE=$(LOCAL)/include
LOCAL_LIB=$(LOCAL)/lib

# base

GV_DIR=../..
DOT=dot

#
# graphviz
#

graphviz.pkg: graphviz.pmdoc usr/local/bin/$(DOT) Release/Graphviz.app postinstall
	@echo
	@echo PACKAGING GRAPHVIZ...
	@echo
	"$(PACKAGEMAKER)" --doc graphviz.pmdoc --out $@

usr/local/bin/$(DOT): $(GV_DIR)/cmd/dot/.libs/$(DOT)
	@echo
	@echo INSTALLING GRAPHVIZ...
	@echo
	$(MAKE) DESTDIR=$(CURDIR) -C $(GV_DIR) install-strip
	rm -rf usr/local/lib/graphviz/tcl/libtcldot_builtin.*
	
Release/Graphviz.app: ../*.m ../*.h $(GV_DIR)/cmd/dot/.libs/$(DOT)
	@echo
	@echo BUILDING GRAPHVIZ GUI...
	@echo
	"$(XCODEBUILD)" -project ../graphviz.xcodeproj -configuration Release

postinstall:
	echo "/usr/local/bin/dot -c" >$@
	make -n -C ../../tclpkg install-data-hook >>$@

$(GV_DIR)/cmd/dot/.libs/$(DOT): $(GV_DIR)/Makefile
	@echo
	@echo MAKING GRAPHVIZ...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(GV_DIR) clean; fi
	$(MAKE) -C $(GV_DIR)/tclpkg/tkstubs
	$(MAKE) -C $(GV_DIR)/tclpkg/tclstubs
	$(MAKE) -C $(GV_DIR)/tclpkg/tkspline CFLAGS="-O2 -arch ppc -arch i386 -I$(LOCAL_INCLUDE)" LDFLAGS="-arch ppc -arch i386 -L$(LOCAL_LIB) -Wl,-dead_strip -Wl,-dead_strip_dylibs"
	$(MAKE) -C $(GV_DIR)
	
$(GV_DIR)/Makefile: $(GV_DIR)/configure
	@echo
	@echo CONFIGURING GRAPHVIZ...
	@echo
	cd $(GV_DIR) && ./configure --disable-dependency-tracking --with-ipsepcola --with-quartz CFLAGS="-O2 -arch ppc -arch i386 -arch ppc64 -I$(LOCAL_INCLUDE)" CXXFLAGS="-O2 -arch ppc -arch i386 -arch ppc64 -I$(LOCAL_INCLUDE)" LDFLAGS="-arch ppc -arch i386 -arch ppc64 -L$(LOCAL_LIB) -Wl,-dead_strip -Wl,-dead_strip_dylibs" GDLIB_CONFIG="$(LOCAL_BIN)/gdlib-config" PKG_CONFIG="$(LOCAL_BIN)/pkg-config" PKG_CONFIG_PATH="/usr/X11/lib/pkgconfig:$(LOCAL_LIB)/pkgconfig"

=== macosx/prebuild/Makefile ===
# tools

CURL=curl
MAKE=make
TAR=tar

# local

LOCAL=$(CURDIR)/usr/local
LOCAL_INCLUDE=$(LOCAL)/include
LOCAL_LIB=$(LOCAL)/lib
LOCAL_BIN=$(LOCAL)/bin

# package URL

PKGCONFIG_URL=http://pkgconfig.freedesktop.org/releases/pkg-config-0.23.tar.gz
GD_URL=http://www.libgd.org/releases/gd-2.0.35.tar.gz
PIXMAN_URL=http://cairographics.org/releases/pixman-0.10.0.tar.gz
CAIRO_URL=http://cairographics.org/releases/cairo-1.6.4.tar.gz
GETTEXT_URL=ftp://mirrors.kernel.org/gnu/gettext/gettext-0.17.tar.gz
GLIB_URL=http://ftp.gnome.org/pub/GNOME/sources/glib/2.16/glib-2.16.3.tar.gz
PANGO_URL=http://ftp.gnome.org/pub/GNOME/sources/pango/1.20/pango-1.20.2.tar.gz

# libraries

PKGCONFIG=pkg-config
GD=libgd.la
PIXMAN=libpixman-1.la
CAIRO=libcairo.la
INTL=libintl.la
GLIB=libglib-2.0.la
PANGO=libpango-1.0.la

# directories
dirname=$(basename $(basename $(notdir $(1))))
PKGCONFIG_DIR=$(call dirname, $(PKGCONFIG_URL))
GD_DIR=$(call dirname, $(GD_URL))
PIXMAN_DIR=$(call dirname, $(PIXMAN_URL))
CAIRO_DIR=$(call dirname, $(CAIRO_URL))
GETTEXT_DIR=$(call dirname, $(GETTEXT_URL))
GLIB_DIR=$(call dirname, $(GLIB_URL))
PANGO_DIR=$(call dirname, $(PANGO_URL))

#
# target
#
# --prefix to dump results into usr/local not /usr/local
# --disable-dependency-tracking since this is one-off build
# --enable-static=yes since this builds static libraries
# --enable-shared=no since this doesn't build dynamic libraries
# -O2 to optimize code for speed and performance
# -arch to build 32-bit/64-bit Universal Binaries
# pkgconfig to look for X11 libraries too

BASE_CONFIG=--prefix=$(LOCAL) --disable-dependency-tracking --enable-static=yes --enable-shared=no PKG_CONFIG="$(LOCAL_BIN)/pkg-config" PKG_CONFIG_PATH="/usr/X11/lib/pkgconfig"
FLAG_CONFIG=CFLAGS="-O2 -arch ppc -arch i386 -arch ppc64" LDFLAGS="-arch ppc -arch i386 -arch ppc64" 

install: $(LOCAL_LIB)/$(PANGO) $(LOCAL_LIB)/$(GD)

uninstall:
	$(MAKE) -C $(PANGO_DIR) uninstall
	$(MAKE) -C $(GLIB_DIR) uninstall
	$(MAKE) -C $(GETTEXT_DIR) uninstall
	$(MAKE) -C $(CAIRO_DIR) uninstall
	$(MAKE) -C $(PIXMAN_DIR) uninstall
	$(MAKE) -C $(GD_DIR) uninstall
	$(MAKE) -C $(PKGCONFIG_DIR) uninstall
	
clean:
	$(MAKE) -C $(PANGO_DIR) clean
	$(MAKE) -C $(GLIB_DIR) clean
	$(MAKE) -C $(GETTEXT_DIR) clean
	$(MAKE) -C $(CAIRO_DIR) clean
	$(MAKE) -C $(PIXMAN_DIR) clean
	$(MAKE) -C $(GD_DIR) clean
	$(MAKE) -C $(PKGCONFIG_DIR) clean
	
distclean:
	$(MAKE) -C $(PANGO_DIR) distclean
	$(MAKE) -C $(GLIB_DIR) distclean
	$(MAKE) -C $(GETTEXT_DIR) distclean
	$(MAKE) -C $(CAIRO_DIR) distclean
	$(MAKE) -C $(PIXMAN_DIR) distclean
	$(MAKE) -C $(GD_DIR) distclean
	$(MAKE) -C $(PKGCONFIG_DIR) distclean

#
# pango
#
# --with-included-modules=yes to embed pango modules within pango itself
# link also to CoreFoundation and CoreServices because of gettext dependency

$(LOCAL_LIB)/$(PANGO): $(PANGO_DIR)/pango/$(PANGO)
	@echo
	@echo INSTALLING PANGO...
	@echo
	$(MAKE) -C $(PANGO_DIR) install

$(PANGO_DIR)/pango/$(PANGO): $(PANGO_DIR)/Makefile
	@echo
	@echo MAKING PANGO...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(PANGO_DIR) clean; fi && \
	PATH=$(PATH):$(LOCAL_BIN) $(MAKE) -C $(PANGO_DIR)
	
$(PANGO_DIR)/Makefile: $(LOCAL_LIB)/$(CAIRO) $(LOCAL_LIB)/$(GLIB) | $(LOCAL_BIN)/$(PKGCONFIG) $(PANGO_DIR)/configure
	@echo
	@echo CONFIGURING PANGO...
	@echo
	cd $(PANGO_DIR) && ./configure $(BASE_CONFIG) $(FLAG_CONFIG) --with-included-modules=yes LIBS="-framework CoreFoundation -framework CoreServices"

$(PANGO_DIR)/configure: | $(PANGO_DIR).tar.gz
	@echo
	@echo UNTARRING PANGO...
	@echo
	$(TAR) xzf $|
		
$(PANGO_DIR).tar.gz:
	@echo
	@echo TRANSFERRING PANGO...
	@echo
	$(CURL) --remote-name --location $(PANGO_URL) || rm -f $(PANGO_DIR).tar.gz

#
# glib
#
# patch to fix libiconv_open absent in 64-bit
# run configure + make once to create glib-genmarshal for cross-building support
# run configure once for each architecture, capturing config.h and glibconfig.h
# run configure again for Universal Binary, recomposing config.h and glibconfig.h from captured versions

$(LOCAL_LIB)/$(GLIB): $(GLIB_DIR)/glib/$(GLIB)
	@echo
	@echo INSTALLING GLIB...
	@echo
	$(MAKE) -C $(GLIB_DIR) install
	
$(GLIB_DIR)/glib/$(GLIB): $(GLIB_DIR)/Makefile
	@echo
	@echo MAKING GLIB...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(GLIB_DIR) clean; fi && \
	$(MAKE) -C $(GLIB_DIR)
	
$(GLIB_DIR)/Makefile: $(LOCAL_LIB)/$(INTL) | $(LOCAL_BIN)/$(PKGCONFIG) $(GLIB_DIR)/configure 
	@echo
	@echo CONFIGURING GLIB...
	@echo
	cd $(GLIB_DIR) && \
	OSREL=`uname -r` && \
	BUILD=`./config.guess` && \
	rm -f darwin.cache && \
	echo "glib_cv_long_long_format=ll" >>darwin.cache && \
	echo "glib_cv_stack_grows=no" >>darwin.cache && \
	echo "glib_cv_uscore=no" >>darwin.cache && \
	echo "ac_cv_func_posix_getpwuid_r=yes" >>darwin.cache && \
	echo "ac_cv_func_posix_getgrgid_r=yes" >>darwin.cache && \
	echo "ac_cv_func_vsnprintf_c99=yes" >>darwin.cache && \
	echo "ac_cv_func_printf_unix98=yes" >>darwin.cache && \
	PATH=$(LOCAL_BIN):gobject:$$PATH && \
	echo --- GLIB-GENMARSHAL PASS --- && \
	./configure $(BASE_CONFIG) CFLAGS="-I$(LOCAL_INCLUDE)" LDFLAGS="-L$(LOCAL_LIB)" && \
	$(MAKE) -C glib && \
	$(MAKE) -C gobject glib-genmarshal && \
	cp darwin.cache darwinian.cache && \
	echo --- PPC PASS --- && \
	./configure --cache-file=darwinian.cache --build=$$BUILD --host=powerpc-apple-darwin$$OSREL $(BASE_CONFIG) CFLAGS="-O2 -arch ppc -I$(LOCAL_INCLUDE)" LDFLAGS="-arch ppc -L$(LOCAL_LIB)" && \
	cp config.h config.ppc.h && \
	cp glibconfig.h glibconfig.ppc.h && \
	cp darwin.cache darwinian.cache && \
	echo --- I386 PASS --- && \
	./configure --cache-file=darwinian.cache --build=$$BUILD --host=i686-apple-darwin$$OSREL $(BASE_CONFIG) CFLAGS="-O2 -arch i386 -I$(LOCAL_INCLUDE)" LDFLAGS="-arch i386 -L$(LOCAL_LIB)" && \
	cp config.h config.i386.h && \
	cp glibconfig.h glibconfig.i386.h && \
	cp darwin.cache darwinian.cache && \
	echo --- PPC64 PASS --- && \
	./configure --cache-file=darwinian.cache --build=$$BUILD --host=powerpc-apple-darwin$$OSREL $(BASE_CONFIG) CFLAGS="-O2 -arch ppc64 -I$(LOCAL_INCLUDE)" LDFLAGS="-arch ppc64 -L$(LOCAL_LIB)" && \
	cp config.h config.ppc64.h && \
	cp glibconfig.h glibconfig.ppc64.h && \
	cp darwin.cache darwinian.cache && \
	echo --- UNIVERSAL BINARY PASS --- && \
	./configure $(BASE_CONFIG) CFLAGS="-O2 -arch ppc -arch i386 -arch ppc64 -I$(LOCAL_INCLUDE)" LDFLAGS="-arch ppc -arch i386 -arch ppc64 -L$(LOCAL_LIB)" && \
	rm config.h && \
	echo "#if defined(__ppc__)" >>config.h && \
	cat config.ppc.h >>config.h && \
	echo "#elif defined(__i386__)" >>config.h && \
	cat config.i386.h >>config.h && \
	echo "#elif defined(__ppc64__)" >>config.h && \
	cat config.ppc64.h >>config.h && \
	echo "#endif" >>config.h && \
	rm glibconfig.h && \
	echo "#if defined(__ppc__)" >>glibconfig.h && \
	cat glibconfig.ppc.h >>glibconfig.h && \
	echo "#elif defined(__i386__)" >>glibconfig.h && \
	cat glibconfig.i386.h >>glibconfig.h && \
	echo "#elif defined(__ppc64__)" >>glibconfig.h && \
	cat glibconfig.ppc64.h >>glibconfig.h && \
	echo "#endif" >>glibconfig.h && \
	touch stamp-gc-h && \
	$(MAKE) clean
	
$(GLIB_DIR)/configure: | $(GLIB_DIR).tar.gz
	@echo
	@echo CONFIGURING GLIB...
	@echo
	$(TAR) xzf $| && patch -p0 <glib.patch
	
$(GLIB_DIR).tar.gz:
	@echo
	@echo TRANSFERRING GLIB...
	@echo
	$(CURL) --remote-name --location $(GLIB_URL) || rm -f $(GLIB_DIR).tar.gz

#
# gettext
#

$(LOCAL_LIB)/$(INTL): $(GETTEXT_DIR)/gettext-runtime/intl/$(INTL)
	@echo
	@echo INSTALLING GETTEXT...
	@echo
	$(MAKE) -C $(GETTEXT_DIR) install
	
$(GETTEXT_DIR)/gettext-runtime/intl/$(INTL): $(GETTEXT_DIR)/Makefile
	@echo
	@echo MAKING GETTEXT...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(GETTEXT_DIR) clean; fi && \
	$(MAKE) -C $(GETTEXT_DIR)
	
$(GETTEXT_DIR)/Makefile: | $(GETTEXT_DIR)/configure
	@echo
	@echo CONFIGURING GETTEXT...
	@echo
	cd $(GETTEXT_DIR) && ./configure $(BASE_CONFIG) $(FLAG_CONFIG)
	
$(GETTEXT_DIR)/configure: | $(GETTEXT_DIR).tar.gz
	@echo
	@echo UNTARRING GETTEXT...
	@echo
	$(TAR) xzf $| && patch -p0 <gettext.patch
	
$(GETTEXT_DIR).tar.gz:
	@echo
	@echo TRANSFERRING GETTEXT...
	@echo
	$(CURL) --remote-name --location $(GETTEXT_URL) || rm -f $(GETTEXT_DIR).tar.gz

#
# cairo
#
# patch to fence missing ATSUI API in 64-bit
# patch to require pixman-1 in linking

$(LOCAL_LIB)/$(CAIRO): $(CAIRO_DIR)/src/$(CAIRO)
	@echo
	@echo INSTALLING CAIRO...
	@echo
	$(MAKE) -C $(CAIRO_DIR) install
	
$(CAIRO_DIR)/src/$(CAIRO): $(CAIRO_DIR)/Makefile
	@echo
	@echo MAKING CAIRO...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(CAIRO_DIR) clean; fi && \
	$(MAKE) -C $(CAIRO_DIR)
	
$(CAIRO_DIR)/Makefile: $(LOCAL_LIB)/$(PIXMAN) | $(LOCAL_BIN)/$(PKGCONFIG) $(CAIRO_DIR)/configure
	@echo
	@echo CONFIGURING CAIRO...
	@echo
	cd $(CAIRO_DIR) && ./configure $(BASE_CONFIG) $(FLAG_CONFIG)
	
$(CAIRO_DIR)/configure: | $(CAIRO_DIR).tar.gz
	@echo
	@echo UNTARRING CAIRO...
	@echo
	$(TAR) xzf $| && patch -p0 <cairo.patch
	
$(CAIRO_DIR).tar.gz:
	@echo
	@echo TRANSFERRING CAIRO...
	@echo
	$(CURL) --remote-name --location $(CAIRO_URL) || rm -f $(CAIRO_DIR).tar.gz

#
# pixman
#
# patch to detect endianness, MMX, SSE and SSE2 during Universal Binary build
# omit -O2 since it bombs Apple gcc

$(LOCAL_LIB)/$(PIXMAN): $(PIXMAN_DIR)/pixman/$(PIXMAN)
	@echo
	@echo INSTALLING PIXMAN...
	@echo
	$(MAKE) -C $(PIXMAN_DIR) install
	
$(PIXMAN_DIR)/pixman/$(PIXMAN): $(PIXMAN_DIR)/Makefile
	@echo
	@echo MAKING PIXMAN...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(PIXMAN_DIR) clean; fi && \
	$(MAKE) -C $(PIXMAN_DIR)
	
$(PIXMAN_DIR)/Makefile: | $(LOCAL_BIN)/$(PKGCONFIG) $(PIXMAN_DIR)/configure 
	@echo
	@echo CONFIGURING PIXMAN...
	@echo
	cd $(PIXMAN_DIR) && ./configure $(BASE_CONFIG) CFLAGS="-arch ppc -arch i386 -arch ppc64" LDFLAGS="-arch ppc -arch i386 -arch ppc64"
	
$(PIXMAN_DIR)/configure: | $(PIXMAN_DIR).tar.gz
	@echo
	@echo UNTARRING PIXMAN...
	@echo
	$(TAR) xzf $| && patch -p0 <pixman.patch
	
$(PIXMAN_DIR).tar.gz:
	@echo
	@echo TRANSFERRING PIXMAN...
	@echo
	$(CURL) --remote-name --location $(PIXMAN_URL) || rm -f $(PIXMAL_DIR).tar.gz

#
# gd
#

$(LOCAL_LIB)/$(GD): $(GD_DIR)/$(GD)
	@echo
	@echo INSTALLING GD...
	@echo
	$(MAKE) -C $(GD_DIR) install
	
$(GD_DIR)/$(GD): $(GD_DIR)/Makefile
	@echo
	@echo MAKING GD...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(GD_DIR) clean; fi && \
	$(MAKE) -C $(GD_DIR)
	
$(GD_DIR)/Makefile: | $(GD_DIR)/configure
	@echo
	@echo CONFIGURING GD...
	@echo
	cd $(GD_DIR) && ./configure $(BASE_CONFIG) $(FLAG_CONFIG)
	
$(GD_DIR)/configure: | $(GD_DIR).tar.gz
	@echo
	@echo UNTARRING GD...
	@echo
	$(TAR) xzf $|
	
$(GD_DIR).tar.gz:
	@echo
	@echo TRANSFERRING GD...
	@echo
	$(CURL) --remote-name --location $(GD_URL) || rm -f $(GD_DIR).tar.gz
	
#
# pkgconfig
#
# only needed during build, don't need Universal Binary

$(LOCAL_BIN)/$(PKGCONFIG): $(PKGCONFIG_DIR)/$(PKGCONFIG)
	@echo
	@echo INSTALLING PKGCONFIG...
	@echo
	$(MAKE) -C $(PKGCONFIG_DIR) install
	
$(PKGCONFIG_DIR)/$(PKGCONFIG): $(PKGCONFIG_DIR)/Makefile
	@echo
	@echo MAKING PKGCONFIG...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(PKGCONFIG_DIR) clean; fi && \
	$(MAKE) -C $(PKGCONFIG_DIR)
	
$(PKGCONFIG_DIR)/Makefile: | $(PKGCONFIG_DIR)/configure
	@echo
	@echo CONFIGURING PKGCONFIG...
	@echo
	cd $(PKGCONFIG_DIR) && ./configure --prefix=$(LOCAL) --disable-dependency-tracking
	
$(PKGCONFIG_DIR)/configure: | $(PKGCONFIG_DIR).tar.gz
	@echo
	@echo UNTARRING PKGCONFIG...
	@echo
	$(TAR) xzf $|
	
$(PKGCONFIG_DIR).tar.gz:
	@echo
	@echo TRANSFERRING PKGCONFIG...
	@echo
	$(CURL) --remote-name --location $(PKGCONFIG_URL) || rm -f $(PKGCONFIG_DIR).tar.gz

#
# phony
#

.PHONY: install uninstall clean distclean

## graphviz 2.20.3-1

=== debian/changelog ===
graphviz (2.20.3-1) stable; urgency=low

  New build process for Extras repository.

 -- Darren Enns <dmenns1@gmail.com>  Thu, 26 Feb 2009 14:43:23 +0000

=== debian/control ===
Source: graphviz
Section: user/other
Priority: extra
Maintainer: Darren Enns <dmenns1@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: graphviz
Architecture: armel
Depends: python2.5
Description: Port of 'Graphviz - Graph Visualization Software' (http://www.graphviz.org/)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/graphviz" install
	mkdir -p "$(CURDIR)/debian/graphviz"

#	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/config" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/config"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_core.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_core.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_core.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_core.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_core.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_core.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_core.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_core.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_dot_layout.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_dot_layout.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_dot_layout.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_dot_layout.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_dot_layout.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_dot_layout.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_dot_layout.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_dot_layout.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gd.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gd.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gd.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gd.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gd.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gd.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gd.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gd.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gdk_pixbuf.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gdk_pixbuf.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gdk_pixbuf.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gdk_pixbuf.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gdk_pixbuf.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gdk_pixbuf.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gdk_pixbuf.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gdk_pixbuf.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gtk.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gtk.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gtk.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gtk.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gtk.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gtk.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gtk.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gtk.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_neato_layout.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_neato_layout.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_neato_layout.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_neato_layout.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_neato_layout.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_neato_layout.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_neato_layout.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_neato_layout.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_pango.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_pango.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_pango.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_pango.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_pango.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_pango.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_pango.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_pango.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_xlib.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_xlib.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_xlib.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_xlib.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_xlib.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_xlib.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_xlib.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_xlib.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/"
	cp -a "graphvizsrc/usr/lib/graphviz/python/_gv.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/_gv.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/"
	cp -a "graphvizsrc/usr/lib/graphviz/python/gv.py" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/gv.py"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/"
	cp -a "graphvizsrc/usr/lib/graphviz/python/libgv_python.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/libgv_python.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/"
	cp -a "graphvizsrc/usr/lib/graphviz/python/libgv_python.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/libgv_python.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/bin/"
